package node.exprNode;

import env.*;
import code.*;

public class IdentNode extends ExprNode {

	private String ident;

	public IdentNode( String ident ) {
		this.ident = ident;
		precedence = PREC_PRIMARY;
		}

	public String toString() {
		return ident;
		}

	public void evalCode( int freeReg ) {
		Code.instrn( "ldiq", Code.tempReg( freeReg ), ident );
		Code.instrn( "ldq", Code.tempReg( freeReg ), Code.indirect( freeReg ) );
		}
		
	}
