package node.exprNode.binaryNode.relationNode;

import code.*;

import node.*;
import node.exprNode.*;
import node.exprNode.binaryNode.*;

public abstract class NotRelationNode extends RelationNode {

	public NotRelationNode( ExprNode left, ExprNode right ) {
		super( left, right );
		}

	public void evalCode( int freeReg ) {
		super.evalCode( freeReg );
		Code.instrn( "cmpeq", Code.tempReg( freeReg ), "0" );
		}
	}
