package node.exprNode.prefixNode;

import code.*;

import node.exprNode.*;

public class NotNode extends PrefixNode {

	public NotNode( ExprNode right ) {
		super( right );
		precedence = PREC_NOT;
		operator = "!";
		}

	public void evalCode( int freeReg ) {
		right.evalCode( freeReg );
		Code.instrn( "cmpeq", Code.tempReg( freeReg ), "0" );
		}

	}
