package node.exprNode.valueNode;

import env.*;
import code.*;
import node.exprNode.*;

public class IntValueNode extends ValueNode {

	private int value;

	public IntValueNode( int value ) {
		this.value = value;
		precedence = PREC_PRIMARY;
		}

	public String toString() {
		return "" + value;
		}

	public void evalCode( int freeReg ) {
		Code.instrn( "ldiq", Code.tempReg( freeReg ), Code.literal( value ) );
		}
		
	}
