#! /bin/bash
rm -f Source/grammar/parser.java Source/grammar/sym.java Source/grammar/*.states cup.error

SOURCEDIR=`toNative.bash "Source/grammar"`
CCUPJAR=`toNative.bash "$LIB330/java_cup.jar"`

java -jar "$CCUPJAR" -nonterms \
-expect 1 -progress -source "$SOURCEDIR" \
-dump -dumpto "parser.states" \
-input "parser.cup" &> cup.error

cat cup.error
