package node.exprNode;

public class NonEmptyListNode extends ExprNode {

	private ExprNode head;
	private ExprNode tail;
	
	public NonEmptyListNode( ExprNode head, ExprNode tail ) {
		this.head = head;
		this.tail = tail;
		}
	
	public String toString() {
		return "[ " + toListText() + " ]";
		}
		
	public String toListText() {
		if ( tail instanceof EmptyListNode )
			return head + "";
		else if ( tail instanceof NonEmptyListNode ) {
			NonEmptyListNode tailList = ( NonEmptyListNode ) tail;
			return head + ", " + tailList.toListText();
			}
		else
			return head + " | " + tail;
		}
	
	}
