package node.stmtNode;

import env.*;
import code.*;

public class CompoundStmtNode extends StmtNode {

	private StmtListNode stmtList;

	public CompoundStmtNode( StmtListNode stmtList ) {
		this.stmtList = stmtList;
		}

	public String toString() {
		return "{%+%n" + stmtList + "%-%n}";
		}

	public void genDeclCode( Env env ) {
		stmtList.genDeclCode( env );
		}
		
	public void genCode() {
		Code.enter();
		stmtList.genCode();
		Code.exit();
		}

	}
