package node.stmtNode;

import env.*;
import code.*;
import node.exprNode.*;

public class PrintStmtNode extends StmtNode {

	private ExprListNode exprList;

	public PrintStmtNode( ExprListNode exprList ) {
		this.exprList = exprList;
		}

	public String toString() {
		return "print( " + exprList + " );";
		}

	public void genDeclCode( Env env ) {
		}
		
	public void genCode() {
		Code.enter();
		exprList.evalCode();
		Code.instrn( "bsr", "IO.printf.enter" );
		Code.exit();
		}
	}
