#! /bin/bash

rm -f Summary.txt

catFile.bash Source/grammar/Yylex.jflex >> Summary.txt
catFile.bash Source/grammar/parser.cup >> Summary.txt
catFile.bash Source/node/exprNode/valueNode/BoolValueNode.java >> Summary.txt
catFile.bash Source/node/exprNode/binaryNode/boolNode/OrNode.java >> Summary.txt
catFile.bash Source/node/exprNode/binaryNode/relationNode/NotRelationNode.java >> Summary.txt
catFile.bash Source/node/exprNode/binaryNode/relationNode/GreaterThanNode.java >> Summary.txt
catFile.bash Source/node/exprNode/prefixNode/NotNode.java >> Summary.txt
catFile.bash Source/node/stmtNode/IfThenStmtNode.java >> Summary.txt
catFile.bash Source/node/stmtNode/IfThenElseStmtNode.java >> Summary.txt
catFile.bash Source/node/stmtNode/ForStmtNode.java >> Summary.txt
append.bash jflex.error
append.bash cup.error
append.bash javac.error

for DIR in TestPrograms/*
do
	catProgramResult.bash "$DIR"
done

