package node.exprNode;
import node.*;

import java.util.*;

public class ExprListNode extends Node {

	private Vector< ExprNode > list = new Vector< ExprNode >();
	
	public ExprListNode() {
		}
	
	public ExprListNode( ExprNode expr ) {
		list.addElement( expr );
		}
	
	public int size() { return list.size(); }

	public ExprNode elementAt( int i ) {
		return ( ExprNode ) ( list.elementAt( i ) );
		}

	public void addElement( ExprNode expr ) {
		list.addElement( expr );
		}
		
	public String toString() {
		String result = "";
		for ( int i = 0; i < size(); i++ ) {
			if ( i > 0 )
				result += ", ";
			ExprNode expr = elementAt( i );
			result += expr;
			}
		return result;
		}
		
	}
