#! /bin/bash

if (( $# != 1 ))
then
	CMD=`basename "$0"`
	echo "usage $CMD Directory"
	exit -1
fi

HOMEDIR=`pwd`

DIR="$1"
shift

if [ ! -e "$DIR" ]
then
	echo "$DIR" does not exist
	exit -1
fi

cd "$DIR"
cd COMPILE
runTest.bash
